## osmo-s1gw 0.3.0

=== Makefile ===
# config file used by 'run' and 'shell'
CONFIG ?= config/sys.config
# arguments passed to eunit, used by 'check'
EUNIT_ARGS ?=
# directory paths for 'install'
BINDIR ?= /usr/bin
CONFDIR ?= /etc/osmocom
SYSTEMDUNITDIR ?= /lib/systemd/system

all: build

GEN_FILES = include/S1AP-*.hrl src/S1AP-*.erl

src/S1AP-%.erl include/S1AP-%.hrl: asn1/S1AP-%.asn
	rebar3 asn compile

build: $(GEN_FILES)
	rebar3 compile
	rebar3 escriptize

run: build
	ERL_FLAGS='-config $(CONFIG)' _build/default/bin/osmo-s1gw

shell: build
	rebar3 shell --config $(CONFIG)

check: $(GEN_FILES)
	rebar3 eunit $(EUNIT_ARGS)

analyze: $(GEN_FILES)
	rebar3 dialyzer

install: build
	install -Dm0755 _build/default/bin/osmo-s1gw \
		$(DESTDIR)$(BINDIR)/osmo-s1gw
	install -Dm0644 config/sys.config \
		$(DESTDIR)$(CONFDIR)/osmo-s1gw.config
	install -Dm0644 contrib/systemd/osmo-s1gw.service \
		$(DESTDIR)$(SYSTEMDUNITDIR)/osmo-s1gw.service

clean:
# Avoid running rebar3 clean if _build doesn't exist, since it would try
# to fetch deps from the Internet and that may not be avaialble when in
# OBS build.
ifneq ("$(wildcard _build/.*)", "")
	rebar3 asn clean
	rebar3 clean
	rm -rf _build/
else
	rm -f $(GEN_FILES)
endif

=== exometer_core/Makefile ===
.PHONY: all clean clean-all compile test doc dialyzer xref ci

REBAR3 ?= rebar3

all: compile xref test

ci: compile xref dialyzer test

compile:
	$(REBAR3) compile

clean:
	$(REBAR3) clean

clean-all: clean
	rm -rf _build

test:
	$(REBAR3) do eunit
	$(REBAR3) do ct

xref:
	$(REBAR3) xref

doc:
	$(REBAR3) as docs do edoc

dialyzer: compile
	$(REBAR3) dialyzer

=== setup/Makefile ===
.PHONY: doc compile test compile_test clean_test run_test eunit clean

REBAR3 ?= $(shell test -e `which rebar3` 2>/dev/null && which rebar3 || echo "./rebar3")

TESTDIRS= xtest/testapp-1 xtest/testapp-2

all: compile

compile:
	${REBAR3} compile

clean:
	${REBAR3} clean
	for D in $(TESTDIRS) ; do \
		(cd $$D; ${REBAR3} clean) ; \
	done

doc:
	${REBAR3} as doc do edoc

compile_test:
	for D in $(TESTDIRS) ; do \
		(cd $$D; ${REBAR3} compile) ; \
	done

clean_test:
	for D in $(TESTDIRS) ; do \
		(cd $$D; ${REBAR3} clean) ; \
	done
	rm -r xtest/releases

eunit: compile
	${REBAR3} eunit

test: eunit compile_test
	ERL_LIBS=${PWD}/_build/test/lib ./setup_gen test xtest/test.conf xtest/releases/1

run_test:
	erl -boot xtest/releases/1/start -config xtest/releases/1/sys

dialyzer:
	${REBAR3} dialyzer

ci: test dialyzer
	erl -boot xtest/releases/1/start -config xtest/releases/1/sys -s init stop

=== hut/examples/elixir/Makefile ===
.PHONY: all clean deps run
all: clean deps run

clean:
	mix do clean, deps.clean --all

deps:
	mix deps.get

run:
	mix run -e HutExampleElixir.start

=== debian/changelog ===
osmo-s1gw (0.3.0) unstable; urgency=medium

  * s1ap_proxy: merge process_pdu_safe() with process_pdu()
  * s1ap_proxy: do not expose {en,de}code_pdu() API
  * s1ap_proxy: turn this module into a gen_server
  * s1ap_proxy: add E-RAB introspection API
  * erab_fsm: rename erab_release_req/1 -> erab_release_cmd/1
  * erab_fsm: add erab_release/2 and erab_release_ind/1
  * s1ap_proxy: properly handle E-RAB RELEASE IND
  * erab_fsm: add all-state event handler
  * erab_fsm: add fetch_info/1 for state introspection
  * sctp_server: add type hints
  * sctp_server: cosmetic: use ?FUNCTION_NAME in send_data/2
  * sctp_server: pass MME addr/port to sctp_proxy as opaque data
  * sctp_server: cosmetic: rename State -> S
  * sctp_server: cosmetic: make #server_state last argument
  * sctp_server: pass #server_state to client_{add,del}()
  * sctp_server: make it abstract from sctp_proxy logic
  * sctp_server: add fetch_conn_list/0 for state introspection
  * sctp_proxy: add all-state event handler
  * sctp_proxy: add fetch_info/1 for state introspection
  * s1ap_proxy: use erab_uid() to log unique E-RAB ID
  * s1ap_proxy: add a TODO about an optional IE
  * s1ap_proxy: rework handle_ie/2 into handle_ie/3
  * s1ap_proxy: handle_ies(): reorder arguments
  * s1ap_proxy: handle_ies(): pass IEI path to handle_ie()
  * s1ap_proxy: handle_ies(): also handle #'ProtocolExtensionField'
  * erab_fsm: store UID, expose it via fetch_info/1
  * erab_fsm: session_modify(): split PFCP PDU handling
  * s1ap_proxy: cosmetic: fix wrong arity in comment
  * s1ap_proxy: fix IEI path leak in handle_ies/4
  * erab_fsm: fix copy-paste in a log message
  * erab_fsm: add more logging to clarify timeout events
  * rebar.config: remove unneeded parse_transform
  * erab_fsm: add pretty printer for F-TEID
  * s1ap_proxy: handle UE CONTEXT RELEASE PDUs
  * osmo_s1gw.app.src: set 'vsn' to 'semver'
  * rebar.config: cosmetic: use spaces, not tabs
  * rebar.config: relx: fix release name (must be an atom)
  * rebar.config: relx: generate the version automatically
  * {erab_fsm,sctp_proxy}: handle_event/4: fix return value
  * {erab_fsm,sctp_proxy}: handle_event/4: reply to unknown calls
  * erab_fsm: make erab_release_{cmd,ind}/1 non-blocking
  * erab_fsm: handle RELEASE.{cmd,ind} in state erab_wait_setup_rsp
  * erab_fsm: handle RELEASE.ind in state erab_wait_release_rsp
  * erab_fsm: implement E-RAB MODIFY Req/Rsp procedure
  * erab_fsm: implement E-RAB MODIFY Ind/Cnf procedure
  * erab_fsm: pretty-print U2CM and U2AM during MODIFY Req/Ind
  * s1ap_proxy: catch exceptions in handle_pdu/2
  * s1ap_proxy: handle E-RAB MODIFY REQ/RSP
  * s1ap_proxy: handle E-RAB MODIFICATION IND/CNF
  * s1ap_proxy: increment *_IN_PKT_* counters on exception
  * sctp_server: invalidate handler's Pid on 'EXIT'
  * sctp_{server,proxy}: log SCTP TSN, SID, SSN, and data len
  * sctp_common: new module with common SCTP/S1AP API
  * s1gw_metrics: use lists:filter/2 to create counters/gauges
  * sctp_{client,server}: disable Nagle by setting sctp_nodelay
  * s1gw_metrics: make exometer_report_statsd less verbose
  * sctp_{client,server}: add and use sctp_common:parse_addr/1
  * sctp_{client,server}: accept arguments in form of a map
  * sctp_{client,server}: allow passing additional sockopts
  * sctp_{client,server}: make sctp_nodelay configurable
  * sctp_{client,server}: set sndbuf/recbuf explicitly

 -- Vadim Yanitskiy <vyanitskiy@sysmocom.de>  Fri, 18 Apr 2025 02:56:33 +0700

=== debian/control ===
Source: osmo-s1gw
Maintainer: Osmocom team <openbsc@lists.osmocom.org>
Section: net
Priority: optional
Build-Depends: erlang-nox,
               libpcap-dev,
               rebar3,
               debhelper (>= 10)
Standards-Version: 4.5.0

Package: osmo-s1gw
Architecture: any
Depends: osmocom-latest, erlang-nox
Multi-Arch: allowed
Description: Osmocom S1 gateway
 This can be used on the S1 interface between eNB and MME/CN, and
 acts as separation between the eNB-facing IP network and the
 CN-facing IP network, which may be separate without routing in between.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/default.mk
export ERL_COMPILER_OPTIONS=deterministic

%:
	dh $@

override_dh_auto_build:
	if [ -e build_dep.tar.gz ] ; then tar xzf ./build_dep.tar.gz ; fi
	dh_auto_build

## osmo-s1gw 0.3.0.154.d196.202504192026

=== debian/changelog ===
osmo-s1gw (0.3.0.154.d196.202504192026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 19 Apr 2025 20:26:23 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-latest, erlang-nox
+Depends: osmocom-nightly (= 202504192026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.154.d196.202504202026

=== debian/changelog ===
osmo-s1gw (0.3.0.154.d196.202504202026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 20 Apr 2025 20:26:23 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202504192026), erlang-nox
+Depends: osmocom-nightly (= 202504202026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.154.d196.202504212026

=== debian/changelog ===
osmo-s1gw (0.3.0.154.d196.202504212026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 21 Apr 2025 20:26:23 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202504202026), erlang-nox
+Depends: osmocom-nightly (= 202504212026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.154.d196.202504222026

=== debian/changelog ===
osmo-s1gw (0.3.0.154.d196.202504222026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 22 Apr 2025 20:26:23 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202504212026), erlang-nox
+Depends: osmocom-nightly (= 202504222026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.154.d196.202504232026

=== debian/changelog ===
osmo-s1gw (0.3.0.154.d196.202504232026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 23 Apr 2025 20:26:25 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202504222026), erlang-nox
+Depends: osmocom-nightly (= 202504232026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.154.d196.202504242026

=== debian/changelog ===
osmo-s1gw (0.3.0.154.d196.202504242026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 24 Apr 2025 20:26:22 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202504232026), erlang-nox
+Depends: osmocom-nightly (= 202504242026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.154.d196.202504252026

=== debian/changelog ===
osmo-s1gw (0.3.0.154.d196.202504252026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 25 Apr 2025 20:26:23 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202504242026), erlang-nox
+Depends: osmocom-nightly (= 202504252026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.154.d196.202504262026

=== debian/changelog ===
osmo-s1gw (0.3.0.154.d196.202504262026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 26 Apr 2025 20:26:22 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202504252026), erlang-nox
+Depends: osmocom-nightly (= 202504262026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.154.d196.202504272026

=== debian/changelog ===
osmo-s1gw (0.3.0.154.d196.202504272026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 27 Apr 2025 20:26:22 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202504262026), erlang-nox
+Depends: osmocom-nightly (= 202504272026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.154.d196.202504282026

=== debian/changelog ===
osmo-s1gw (0.3.0.154.d196.202504282026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 28 Apr 2025 20:26:23 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202504272026), erlang-nox
+Depends: osmocom-nightly (= 202504282026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.154.d196.202504292026

=== debian/changelog ===
osmo-s1gw (0.3.0.154.d196.202504292026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 29 Apr 2025 20:26:26 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202504282026), erlang-nox
+Depends: osmocom-nightly (= 202504292026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.154.d196.202504302026

=== debian/changelog ===
osmo-s1gw (0.3.0.154.d196.202504302026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 30 Apr 2025 20:26:24 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202504292026), erlang-nox
+Depends: osmocom-nightly (= 202504302026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.154.d196.202505012026

=== debian/changelog ===
osmo-s1gw (0.3.0.154.d196.202505012026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 01 May 2025 20:26:23 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202504302026), erlang-nox
+Depends: osmocom-nightly (= 202505012026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.154.d196.202505022026

=== debian/changelog ===
osmo-s1gw (0.3.0.154.d196.202505022026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 02 May 2025 20:26:23 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202505012026), erlang-nox
+Depends: osmocom-nightly (= 202505022026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.154.d196.202505032026

=== debian/changelog ===
osmo-s1gw (0.3.0.154.d196.202505032026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 03 May 2025 20:26:23 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202505022026), erlang-nox
+Depends: osmocom-nightly (= 202505032026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.154.d196.202505042026

=== debian/changelog ===
osmo-s1gw (0.3.0.154.d196.202505042026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 04 May 2025 20:26:23 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202505032026), erlang-nox
+Depends: osmocom-nightly (= 202505042026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.154.d196.202505052026

=== debian/changelog ===
osmo-s1gw (0.3.0.154.d196.202505052026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 05 May 2025 20:26:23 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202505042026), erlang-nox
+Depends: osmocom-nightly (= 202505052026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.154.d196.202505062026

=== debian/changelog ===
osmo-s1gw (0.3.0.154.d196.202505062026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 06 May 2025 20:26:24 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202505052026), erlang-nox
+Depends: osmocom-nightly (= 202505062026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.154.d196.202505072026

=== debian/changelog ===
osmo-s1gw (0.3.0.154.d196.202505072026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 07 May 2025 20:26:24 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202505062026), erlang-nox
+Depends: osmocom-nightly (= 202505072026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.154.d196.202505082026

=== debian/changelog ===
osmo-s1gw (0.3.0.154.d196.202505082026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 08 May 2025 20:26:24 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202505072026), erlang-nox
+Depends: osmocom-nightly (= 202505082026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.154.d196.202505092026

=== debian/changelog ===
osmo-s1gw (0.3.0.154.d196.202505092026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 09 May 2025 20:26:23 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202505082026), erlang-nox
+Depends: osmocom-nightly (= 202505092026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.154.d196.202505102026

=== debian/changelog ===
osmo-s1gw (0.3.0.154.d196.202505102026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 10 May 2025 20:26:23 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202505092026), erlang-nox
+Depends: osmocom-nightly (= 202505102026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.154.d196.202505112026

=== debian/changelog ===
osmo-s1gw (0.3.0.154.d196.202505112026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 11 May 2025 20:26:23 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202505102026), erlang-nox
+Depends: osmocom-nightly (= 202505112026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.154.d196.202505122026

=== debian/changelog ===
osmo-s1gw (0.3.0.154.d196.202505122026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 12 May 2025 20:26:24 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202505112026), erlang-nox
+Depends: osmocom-nightly (= 202505122026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.154.d196.202505132026

=== debian/changelog ===
osmo-s1gw (0.3.0.154.d196.202505132026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 13 May 2025 20:26:23 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202505122026), erlang-nox
+Depends: osmocom-nightly (= 202505132026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.154.d196.202505142026

=== debian/changelog ===
osmo-s1gw (0.3.0.154.d196.202505142026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 14 May 2025 20:26:29 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202505132026), erlang-nox
+Depends: osmocom-nightly (= 202505142026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.154.d196.202505152026

=== debian/changelog ===
osmo-s1gw (0.3.0.154.d196.202505152026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 15 May 2025 20:26:23 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202505142026), erlang-nox
+Depends: osmocom-nightly (= 202505152026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.154.d196.202505162026

=== debian/changelog ===
osmo-s1gw (0.3.0.154.d196.202505162026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 16 May 2025 20:26:23 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202505152026), erlang-nox
+Depends: osmocom-nightly (= 202505162026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.154.d196.202505172026

=== debian/changelog ===
osmo-s1gw (0.3.0.154.d196.202505172026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 17 May 2025 20:26:23 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202505162026), erlang-nox
+Depends: osmocom-nightly (= 202505172026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.154.d196.202505182026

=== debian/changelog ===
osmo-s1gw (0.3.0.154.d196.202505182026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 18 May 2025 20:26:23 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202505172026), erlang-nox
+Depends: osmocom-nightly (= 202505182026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.154.d196.202505192026

=== debian/changelog ===
osmo-s1gw (0.3.0.154.d196.202505192026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 19 May 2025 20:26:24 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202505182026), erlang-nox
+Depends: osmocom-nightly (= 202505192026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.154.d196.202505202026

=== debian/changelog ===
osmo-s1gw (0.3.0.154.d196.202505202026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 20 May 2025 20:26:23 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202505192026), erlang-nox
+Depends: osmocom-nightly (= 202505202026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.154.d196.202505212026

=== debian/changelog ===
osmo-s1gw (0.3.0.154.d196.202505212026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 21 May 2025 20:26:25 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202505202026), erlang-nox
+Depends: osmocom-nightly (= 202505212026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.154.d196.202505222026

=== debian/changelog ===
osmo-s1gw (0.3.0.154.d196.202505222026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 22 May 2025 20:26:24 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202505212026), erlang-nox
+Depends: osmocom-nightly (= 202505222026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.154.d196.202505232026

=== debian/changelog ===
osmo-s1gw (0.3.0.154.d196.202505232026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 23 May 2025 20:26:24 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202505222026), erlang-nox
+Depends: osmocom-nightly (= 202505232026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.154.d196.202505242026

=== debian/changelog ===
osmo-s1gw (0.3.0.154.d196.202505242026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 24 May 2025 20:26:23 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202505232026), erlang-nox
+Depends: osmocom-nightly (= 202505242026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.154.d196.202505252026

=== debian/changelog ===
osmo-s1gw (0.3.0.154.d196.202505252026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 25 May 2025 20:26:23 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202505242026), erlang-nox
+Depends: osmocom-nightly (= 202505252026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.154.d196.202505262026

=== debian/changelog ===
osmo-s1gw (0.3.0.154.d196.202505262026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 26 May 2025 20:26:26 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202505252026), erlang-nox
+Depends: osmocom-nightly (= 202505262026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.157.d603.202505272026

=== debian/changelog ===
osmo-s1gw (0.3.0.157.d603.202505272026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 27 May 2025 20:26:24 +0000

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,13 @@
 Section: net
 Priority: optional
 Build-Depends: erlang-nox,
-               libpcap-dev,
                rebar3,
                debhelper (>= 10)
 Standards-Version: 4.5.0
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202505262026), erlang-nox
+Depends: osmocom-nightly (= 202505272026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.158.96c3.202505282026

=== debian/changelog ===
osmo-s1gw (0.3.0.158.96c3.202505282026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 28 May 2025 20:26:26 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202505272026), erlang-nox
+Depends: osmocom-nightly (= 202505282026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.158.96c3.202505292026

=== debian/changelog ===
osmo-s1gw (0.3.0.158.96c3.202505292026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 29 May 2025 20:26:24 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202505282026), erlang-nox
+Depends: osmocom-nightly (= 202505292026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.158.96c3.202505302026

=== debian/changelog ===
osmo-s1gw (0.3.0.158.96c3.202505302026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 30 May 2025 20:26:22 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202505292026), erlang-nox
+Depends: osmocom-nightly (= 202505302026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.158.96c3.202505312026

=== debian/changelog ===
osmo-s1gw (0.3.0.158.96c3.202505312026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 31 May 2025 20:26:23 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202505302026), erlang-nox
+Depends: osmocom-nightly (= 202505312026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.158.96c3.202506012026

=== debian/changelog ===
osmo-s1gw (0.3.0.158.96c3.202506012026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 01 Jun 2025 20:26:23 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202505312026), erlang-nox
+Depends: osmocom-nightly (= 202506012026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.158.96c3.202506022026

=== debian/changelog ===
osmo-s1gw (0.3.0.158.96c3.202506022026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 02 Jun 2025 20:26:23 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202506012026), erlang-nox
+Depends: osmocom-nightly (= 202506022026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.158.96c3.202506032026

=== debian/changelog ===
osmo-s1gw (0.3.0.158.96c3.202506032026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 03 Jun 2025 20:26:22 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202506022026), erlang-nox
+Depends: osmocom-nightly (= 202506032026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.158.96c3.202506042026

=== debian/changelog ===
osmo-s1gw (0.3.0.158.96c3.202506042026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 04 Jun 2025 20:26:23 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202506032026), erlang-nox
+Depends: osmocom-nightly (= 202506042026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.158.96c3.202506052026

=== debian/changelog ===
osmo-s1gw (0.3.0.158.96c3.202506052026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 05 Jun 2025 20:26:35 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202506042026), erlang-nox
+Depends: osmocom-nightly (= 202506052026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.158.96c3.202506062026

=== debian/changelog ===
osmo-s1gw (0.3.0.158.96c3.202506062026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 06 Jun 2025 20:26:24 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202506052026), erlang-nox
+Depends: osmocom-nightly (= 202506062026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.158.96c3.202506072026

=== debian/changelog ===
osmo-s1gw (0.3.0.158.96c3.202506072026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 07 Jun 2025 20:26:25 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202506062026), erlang-nox
+Depends: osmocom-nightly (= 202506072026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.158.96c3.202506082026

=== debian/changelog ===
osmo-s1gw (0.3.0.158.96c3.202506082026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 08 Jun 2025 20:26:23 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202506072026), erlang-nox
+Depends: osmocom-nightly (= 202506082026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.158.96c3.202506092026

=== debian/changelog ===
osmo-s1gw (0.3.0.158.96c3.202506092026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 09 Jun 2025 20:26:23 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202506082026), erlang-nox
+Depends: osmocom-nightly (= 202506092026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.158.96c3.202506102026

=== debian/changelog ===
osmo-s1gw (0.3.0.158.96c3.202506102026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 10 Jun 2025 20:26:28 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202506092026), erlang-nox
+Depends: osmocom-nightly (= 202506102026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.158.96c3.202506112026

=== debian/changelog ===
osmo-s1gw (0.3.0.158.96c3.202506112026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 11 Jun 2025 20:26:24 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202506102026), erlang-nox
+Depends: osmocom-nightly (= 202506112026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.158.96c3.202506122026

=== debian/changelog ===
osmo-s1gw (0.3.0.158.96c3.202506122026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 12 Jun 2025 20:26:24 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202506112026), erlang-nox
+Depends: osmocom-nightly (= 202506122026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.158.96c3.202506132026

=== debian/changelog ===
osmo-s1gw (0.3.0.158.96c3.202506132026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 13 Jun 2025 20:26:24 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202506122026), erlang-nox
+Depends: osmocom-nightly (= 202506132026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.158.96c3.202506142026

=== debian/changelog ===
osmo-s1gw (0.3.0.158.96c3.202506142026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 14 Jun 2025 20:26:23 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202506132026), erlang-nox
+Depends: osmocom-nightly (= 202506142026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.158.96c3.202506152026

=== debian/changelog ===
osmo-s1gw (0.3.0.158.96c3.202506152026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 15 Jun 2025 20:26:23 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202506142026), erlang-nox
+Depends: osmocom-nightly (= 202506152026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.158.96c3.202506162026

=== debian/changelog ===
osmo-s1gw (0.3.0.158.96c3.202506162026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 16 Jun 2025 20:26:23 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202506152026), erlang-nox
+Depends: osmocom-nightly (= 202506162026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.158.96c3.202506172026

=== debian/changelog ===
osmo-s1gw (0.3.0.158.96c3.202506172026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 17 Jun 2025 20:26:24 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202506162026), erlang-nox
+Depends: osmocom-nightly (= 202506172026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.158.96c3.202506182026

=== debian/changelog ===
osmo-s1gw (0.3.0.158.96c3.202506182026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 18 Jun 2025 20:26:23 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202506172026), erlang-nox
+Depends: osmocom-nightly (= 202506182026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.158.96c3.202506192026

=== debian/changelog ===
osmo-s1gw (0.3.0.158.96c3.202506192026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 19 Jun 2025 20:26:23 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202506182026), erlang-nox
+Depends: osmocom-nightly (= 202506192026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.158.96c3.202506202026

=== debian/changelog ===
osmo-s1gw (0.3.0.158.96c3.202506202026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 20 Jun 2025 20:26:24 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202506192026), erlang-nox
+Depends: osmocom-nightly (= 202506202026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.158.96c3.202506212026

=== debian/changelog ===
osmo-s1gw (0.3.0.158.96c3.202506212026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 21 Jun 2025 20:26:23 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202506202026), erlang-nox
+Depends: osmocom-nightly (= 202506212026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.158.96c3.202506222026

=== debian/changelog ===
osmo-s1gw (0.3.0.158.96c3.202506222026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 22 Jun 2025 20:26:23 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202506212026), erlang-nox
+Depends: osmocom-nightly (= 202506222026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.158.96c3.202506232026

=== debian/changelog ===
osmo-s1gw (0.3.0.158.96c3.202506232026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 23 Jun 2025 20:26:23 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202506222026), erlang-nox
+Depends: osmocom-nightly (= 202506232026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and
